SysInit:

       setf    PT1PU,ACCE  ; Set Pull up Resistor
       ;bcf     PT1PU,2,a
	   ;bcf     PT1PU,3,a
       ;bcf     PT1PU,3,a
       ;bcf     PT1PU,4,a
       ;bcf     PT1PU,5,a
       ;bcf     PT1PU,6,a
       ;bsf     TRISC1,2,a
	   ;bsf     TRISC1,3,a
       ;bsf     TRISC1,3,a
       ;bsf     TRISC1,4,a
       ;bsf     TRISC1,5,a
       ;bsf     TRISC1,6,a                  
 ;==============Clear Memory=======================
     ldpr	080h,0
     mvl    MemorySize
  ClriniMen0_1:   
     clrf   poinc0,ACCE        
     dcsz   WREG,W
     jmp    ClriniMen0_1
     clrf	fsr0h,a
       
       
       
	 bsf	AD1CN5,LDOPL,a
     mvl    10000010b	
     mvf    PWRCN,F,ACCE 

	 call	clearLCD

;==========Setup LCD =======================================
     mvl    11001000b
     mvf    LCDCN1,F,b
     mvl    11111100b
     mvf    LCDCN2,F,b

     
     mvl	001h
     mvf	osccn0,f,a	;CPUCK=HSCK/1=2Mhz
      					;ADCLK=2M/2=1000khz.
     call    Delay55ms     
 ;==========Setup ADC0=======================================
     mvl     02h	;OSR:32768, 
     mvf     AD1CN0,F,ACCE
	 mvl	03eh
	 mvf	ad1cn1,f,a	;VRGain=1/2, ADGain=8*16=128
	 mvl	0
	 mvf	ad1cn2,f,a
	 mvl	010h
	 mvf	ad1cn3,f,a
	 mvl	010h	;vr=AI2-AI3
	 mvf	ad1cn4,f,a
	 mvl	090h
	 mvf	ad1cn5,f,a

      
 ;==========Set Timmer=======================================
     mvl	11001000b	;TMACLK=DMS_CK/256/16=244hz
     mvf    TMA1CN,F,ACCE   
       
     clrf   MSTAT,ACCE
	 clrf	PSTAT,acce
     clrf   PCLATH,ACCE       

;==========INTE Set=========================================
     bsf    ad1cn0,enad1,ACCE  
	 bsf    ad1cn0,CMFR,ACCE  
	 clrf	intf0,a
	 clrf	intf1,a
	 mvl    10100011b      ;GIE,ADC,PT1.1,PT10
     mvf    INTE0,F,ACCE
	 mvl    10000000b      ;TMA
     mvf    INTE1,F,ACCE      
;==========INTE Set============================

     call	PGAandADCAccuracyMode;PGA+ADC initialized.
	 nopf   PGAandADCAccuracyMode 
	 
	 call   TMR_RS_Setting
	 nopf   TMR_RS_Setting
     mvl    7
     mvf    ADshiftbit,f,a
      
     mvl	2
     mvf	prefilterthreshold,f,a
     mvl	2
     mvf    filternumber,f,a   
      
     mvl    00h
     mvf    QM_threshold_M,f,a      
	 mvl    095h
     mvf    QM_threshold_L,f,a
	 
     ;bcf    inte0,0,a       
     mvl	12
     mvf    tm1,f,a	 
     call   ShowHYCON
	 
Wait_HYCON:
     btss   PT1,PT10,a
	 jmp    readytoCal
     call   Delay420ms
     dcsz   tm1,f,a
     jmp    Wait_HYCON	 
     bsf    inte0,GIE,a  
      
 